# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.FilterCondition

Packages that use FilterCondition
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.olap
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of FilterCondition in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return FilterCondition
Modifier and Type
Method
Description
`static FilterCondition`
StructureFactory.`createFilterCond()`
Creates an empty filter condition structure.
Methods in org.eclipse.birt.report.model.api with parameters of type FilterCondition
Modifier and Type
Method
Description
`void`
DataSetHandle.`addFilter(FilterCondition fc)`
Adds the filter condition.
`void`
DataSetHandle.`removeFilter(FilterCondition fc)`
Removes the filter condition.

## Uses of FilterCondition in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type FilterCondition
Modifier and Type
Method
Description
`IFilterCondition`
SimpleElementFactory.`createFilterCondition(FilterCondition condition)`

## Uses of FilterCondition in org.eclipse.birt.report.model.api.olap

Methods in org.eclipse.birt.report.model.api.olap with parameters of type FilterCondition
Modifier and Type
Method
Description
`void`
CubeHandle.`addFilter(FilterCondition fc)`
Adds the filter condition.
`void`
CubeHandle.`removeFilter(FilterCondition fc)`
Removes the filter condition.

## Uses of FilterCondition in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type FilterCondition
Modifier and Type
Method
Description
`IFilterCondition`
ISimpleElementFactory.`createFilterCondition(FilterCondition condition)`
Creates the IFilterCondition instance.